Bug 383051 - gdm not working with nis
gdm not working with nis
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-14 13:54 EST by Joshua Jensen
Modified: 2008-11-23 14:58 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-23 14:58:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joshua Jensen 2007-11-14 13:54:59 EST
Description of problem:

gdm dies when trying to start, once the machine is enabled for NIS
authentication.  dmesg output says this:

gdmgreeter[6255]: segfault at 00002e2e2e657265 rip 000000000041326f rsp
00007fffc75819b0 error 4
gdmgreeter[6283] general protection rip:41326f rsp:7fff73105530 error:0


Version-Release number of selected component (if applicable):

f8 x86_64, gdm-2.20.1-5.fc8, all updates as of Nov 14th.

How reproducible:

NIS domain has 131419 users in it.  GDM seems to choke... not sure if it is the
size of the NIS domain, or just that it is NIS.  The wdm DM works just fine with
   NIS... gdm should too!
Comment 1 Ray Strode [halfline] 2007-11-14 14:39:59 EST
if you set IncludeAll=false in the [greeter] section of /etc/gdm/custom.conf
does that work around your problem?
Comment 2 Joshua Jensen 2007-11-14 15:30:05 EST
Yes!  that fixes it.  However... shouldn't there be some sort of logic that
kicks in somewhere before trying to display 131 THOUSAND users in gdm?  :-)

It seems to me that a segfault isn't really a proper safety mechanism.
Comment 3 Ray Strode [halfline] 2007-11-14 21:52:39 EST
there is supposed to be... it's apparently not working.
Comment 4 Joshua Jensen 2008-03-08 15:15:52 EST
any luck with tracking this bug down?  Should be easy enough to test and fix
Comment 5 Ray Strode [halfline] 2008-03-08 16:27:44 EST
Hi,

Sorry this bug hasn't hit the top of the priority queue because you've been the
only reporter so far, it has a work around, and F9 gdm is consuming most of my time.

You're right though, it shouldn't take too long to figure out.  I'll put it on
my short list for next week.  If I still don't have time after that I'll move it
upstream where Brian Cameron (or me or Jon McCann) can look at it later.
Comment 6 Ray Strode [halfline] 2008-03-10 11:52:12 EDT
Hi Joshua,

I think I see the problem in the code.  I'm building an update now.  When it
finishes would you mind testing it out?

Build is here:

http://koji.fedoraproject.org/koji/taskinfo?taskID=508398

and i'll push to updates-testing shortly
Comment 7 Fedora Update System 2008-03-13 10:14:05 EDT
gdm-2.20.3-2.fc8 has been submitted as an update for Fedora 8
Comment 8 Joshua Jensen 2008-03-14 15:07:35 EDT
gdm-2.20.3-2.fc8 still doesn't seem to fix the problem.  dmesg still shows a
segfault of gdm, when IncludeAll=false is commented out
Comment 9 Fedora Update System 2008-03-16 15:28:27 EDT
gdm-2.20.3-2.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gdm'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-2493
Comment 10 Joshua Jensen 2008-06-18 19:00:13 EDT
Doesn't fix the actual problem.
Comment 11 Fedora Update System 2008-06-25 14:27:26 EDT
gdm-2.20.5-3.fc8 has been submitted as an update for Fedora 8
Comment 12 Ray Strode [halfline] 2008-06-25 14:47:19 EDT
This should be fixed in gdm-2.20.5-3.fc8
Comment 13 Fedora Update System 2008-06-26 04:31:29 EDT
gdm-2.20.5-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.